org.eclipse.net4j.util.om.trace

## Class RemoteTraceServer.PrintListener

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.RemoteTraceServer.PrintListener

- All Implemented Interfaces:
    RemoteTraceServer.Listener
  Enclosing class:
    RemoteTraceServer

      public static class RemoteTraceServer.PrintListener
      extends Object
      implements RemoteTraceServer.Listener

  A `listener` that appends `trace events` to a `print stream`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RemoteTraceServer.PrintListener` | `CONSOLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PrintListener()`
    `` | `PrintListener(PrintStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrintStream` | `getStream()`
    `void` | `notifyRemoteTrace(RemoteTraceServer.Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final RemoteTraceServer.PrintListener CONSOLE

  - ### Constructor Detail

    - #### PrintListener

          public PrintListener(PrintStream stream)

    - #### PrintListener

          protected PrintListener()

  - ### Method Detail

    - #### getStream

          public PrintStream getStream()

      Since:
        3.2

    - #### notifyRemoteTrace

          public void notifyRemoteTrace(RemoteTraceServer.Event event)

      Specified by:
        `notifyRemoteTrace` in interface `RemoteTraceServer.Listener`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html